[SOLVED] Mageia 8 Samba 4.12 problem

[SOLVED] Mageia 8 Samba 4.12 problem

Postby mirej » Mar 17th, '21, 19:55

Mageia-8. Samba 4.12 searches for Linux computers. It cannot find Windows computers.
Code: Select all
[root@localhost mir]# testparm
Load smb config files from /etc/samba/smb.conf
Loaded services file OK.
Server role: ROLE_STANDALONE

Press enter to see a dump of your service definitions

# Global parameters
[global]
        log file = /var/log/samba/log.%m
        map to guest = Bad User
        max log size = 150
        netbios name = MAG8
        security = USER
        server string = Samba %v
        workgroup = EKIPA
        idmap config * : backend = tdb
        cups options = raw


[printers]
        browseable = No
        comment = All Printers
        path = /var/spool/samba
        printable = Yes


[mag7]
        comment = mag8_zapis
        guest ok = Yes
        path = /media/MG/zapis_mag
        read only = No

Do you have any ideas?

Does not display workgroup / windows computers
I have smbd, nmbd, winbind services enabled and running.
Samba configuration file test successful.
Ping to computers correct. As if the nmbd service wasn't working.
Mageia-7 and samba 4.10 work fine with the same configuration file.

I wanted to install an older version of SAMBA 4.10
There is a problem with uninstalling samba 4.12.11
Attempting to uninstall packages:
- dolphin-20.12.0-6.mga8.x86_64
- gvfs-smb-1.46.2-1.mga8.x86_64
- gwenview-20.12.0-1.mga8.x86_64
- kio-extras-20.12.0-2.mga8.x86_64
- kodi-19.0-2.mga8.tainted.x86_64
- lib64samba-dc0-4.12.11-1.mga8.x86_64
- lib64smbclient0-4.12.11-1.mga8.x86_64
- plasma-desktop-5.20.4-4.mga8.x86_64
- samba-winbind-4.12.11-1.mga8.x86_64
- samba-winbind-clients-4.12.11-1.mga8.x86_64
- task-plasma5-minimal-5.20.4-2.mga8.noarch
- vlc-plugin-samba-3.0.12.1-2.1.mga8.tainted.x86_64
CAUTION!!! Uninstalling samba will uninstall plasma. (Mageia-8, dead)
--------------
I uninstalled samba, plasma.
Thought I'll only install plasma minimal!
Here is a list of packages that install.
dolphin-20.12.0-6.mga8.x86_64
- gwenview-20.12.0-1.mga8.x86_64
- gwenview-handbook-20.12.0-1.mga8.noarch
- kio-extras-20.12.0-2.mga8.x86_64
- lib64kdc-samba4_2-4.12.11-1.mga8.x86_64
- lib64samba-dc0-4.12.11-1.mga8.x86_64
- lib64samba1-4.12.11-1.mga8.x86_64
- lib64smbclient0-4.12.11-1.mga8.x86_64
- lib64wbclient0-4.12.11-1.mga8.x86_64
- plasma-desktop-5.20.4-4.mga8.x86_64
- samba-common-4.12.11-1.mga8.x86_64

SAMBA cannot be removed !!!
I'm going back to Mageia7 and waiting for Mageia-8 & SAMBA to be fixed. :-|
Last edited by mirej on Apr 16th, '21, 21:15, edited 2 times in total.
mirej
 
Posts: 66
Joined: Apr 12th, '14, 17:36
Location: Poland, Rybnik

Re: Mageia 8 Samba 4.12 problem

Postby mirej » Apr 14th, '21, 00:14

Samba 4.12 probably doesn't support SMBv1 by default.
NOTE: Please note that Samba version 4.11 removes SMB1 protocol version by default. However, on an older Linux and Unix distro you need to disable it manually to avoid security issues.

How to force support of the SMBv1 standard?
Or
How to install the older version 4.10?
mirej
 
Posts: 66
Joined: Apr 12th, '14, 17:36
Location: Poland, Rybnik

Re: Mageia 8 Samba 4.12 problem

Postby doktor5000 » Apr 14th, '21, 17:59

Are you asking about the server or clients part? Because in the OP you mention your smb.conf, and that Samba cannot find Windows computers - but it's usually the other way around if you provide a Samba share.

On a related note, most recent Windows boxes also have had SMBv1 disabled since quite some time. What version are your windows client ?
Cauldron is not for the faint of heart!
Caution: Hot, bubbling magic inside. May explode or cook your kittens!
----
Disclaimer: Beware of allergic reactions in answer to unconstructive complaint-type posts
User avatar
doktor5000
 
Posts: 16560
Joined: Jun 4th, '11, 10:10
Location: Leipzig, Germany

Re: Mageia 8 Samba 4.12 problem

Postby mirej » Apr 14th, '21, 21:58

Asus RT AC Router supports SMBv1 (External USB HDD) & Win10 with SMBv1 Unlocked, TV, MobilePhon, Mageia-7, Full Data Exchange.
Problem with SAMBA 4.12 and MG-8.
Many devices are still in use SMBv1
Last edited by mirej on Apr 14th, '21, 22:45, edited 2 times in total.
mirej
 
Posts: 66
Joined: Apr 12th, '14, 17:36
Location: Poland, Rybnik

Re: Mageia 8 Samba 4.12 problem

Postby doktor5000 » Apr 14th, '21, 22:29

And you want to enforce support for smbv1 instead of changing the others to smb2 ?

In any case, if you really want to enable it try adding
Code: Select all
server min protocol = NT1
to the [global] section of /etc/samba/smb.conf
https://www.samba.org/samba/docs/curren ... INPROTOCOL
That is also mentioned in the samba release announcement you quoted from:
https://github.com/samba-team/samba/blo ... EW.txt#L18

If you also use samba as a client for some smbv1 shares somewhere else then you may also need
Code: Select all
client min protocol = NT1
Cauldron is not for the faint of heart!
Caution: Hot, bubbling magic inside. May explode or cook your kittens!
----
Disclaimer: Beware of allergic reactions in answer to unconstructive complaint-type posts
User avatar
doktor5000
 
Posts: 16560
Joined: Jun 4th, '11, 10:10
Location: Leipzig, Germany


Re: Mageia 8 Samba 4.12 problem

Postby mirej » Apr 14th, '21, 23:09

Thank you doctor5000
Samba 4.12 works OK :-)
I think Asus will introduce smb2 and 3 support in the new firmware.
mirej
 
Posts: 66
Joined: Apr 12th, '14, 17:36
Location: Poland, Rybnik


Return to Networking

Who is online

Users browsing this forum: No registered users and 1 guest